Subject: bug#28395: 26.0.50; Electric pair: remove following > on Backspace after <

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Jul 2019 12:56:45 +0200

Mohammed Sadiq <[email-masked]> writes:

> In c-mode (and may be in derived modes too) it would be nice if
> electric-pair-mode removes following '>' (if any) on deleting '<' with
> backspace by default.
>
> Say for example, in the following code (| is the `point'):
>     #include <|>
>
> a backspace would result in:
>     #include |

I think this sounds like it would be very difficult to get right without
too many false positives...  and it seems beyond the remit of this
mode.  I mean, the mode doesn't even do this for normal parenthesis.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no